-- noqa: disable=all
-- This sql was autogenerated as a reference example using the library
-- CLI. Its format is tied to the specific database it was run against,
-- and it may not be correct for all databases. Use the CLI's build 
-- option to derive the best SQL for your dataset.

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRHIST` (
    CUI String,
    SOURCEUI String,
    SAB String,
    SVER String,
    CHANGETYPE String,
    CHANGEKEY String,
    CHANGEVAL String,
    REASON String,
    CVF Integer
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRHIST'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRCONSO` (
    CUI String,
    LAT String,
    TS String,
    LUI String,
    STT String,
    SUI String,
    ISPREF String,
    AUI String,
    SAUI String,
    SCUI String,
    SDUI String,
    SAB String,
    TTY String,
    CODE String,
    STR String,
    SRL Integer,
    SUPPRESS String,
    CVF Integer
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRCONSO'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRSTY` (
    CUI String,
    TUI String,
    STN String,
    STY String,
    ATUI String,
    CVF Integer
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRSTY'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRFILES` (
    FIL String,
    DES String,
    FMT String,
    CLS Integer,
    RWS Integer,
    BTS Integer
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRFILES'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRCOLS` (
    COL String,
    DES String,
    REF String,
    MIN Integer,
    AV Float,
    MAX Integer,
    FIL String,
    DTY String
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRCOLS'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRDOC` (
    DOCKEY String,
    VALUE String,
    TYPE String,
    EXPL String
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRDOC'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRREL` (
    CUI1 String,
    AUI1 String,
    STYPE1 String,
    REL String,
    CUI2 String,
    AUI2 String,
    STYPE2 String,
    RELA String,
    RUI String,
    SRUI String,
    SAB String,
    SL String,
    RG String,
    DIR String,
    SUPPRESS String,
    CVF Integer
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRREL'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRSAT` (
    CUI String,
    LUI String,
    SUI String,
    METAUI String,
    STYPE String,
    CODE String,
    ATUI String,
    SATUI String,
    ATN String,
    SAB String,
    ATV String,
    SUPPRESS String,
    CVF Integer
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRSAT'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRRANK` (
    RANK Integer,
    SAB String,
    TTY String,
    SUPPRESS String
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRRANK'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRSAB` (
    VCUI String,
    RCUI String,
    VSAB String,
    RSAB String,
    SON String,
    SF String,
    SVER String,
    VSTART String,
    VEND String,
    IMETA String,
    RMETA String,
    SLC String,
    SCC String,
    SRL Integer,
    TFR Integer,
    CFR Integer,
    CXTY String,
    TTYL String,
    ATNL String,
    LAT String,
    CENC String,
    CURVER String,
    SABIN String,
    SSN String,
    SCIT String
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRSAB'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRAUI` (
    AUI1 String,
    CUI1 String,
    VER String,
    REL String,
    RELA String,
    MAPREASON String,
    AUI2 String,
    CUI2 String,
    MAPIN String
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRAUI'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRSMAP` (
    MAPSETCUI String,
    MAPSETSAB String,
    MAPID String,
    MAPSID String,
    FROMEXPR String,
    FROMTYPE String,
    REL String,
    RELA String,
    TOEXPR String,
    TOTYPE String,
    CVF Integer
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRSMAP'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__AMBIGLUI` (
    LUI String,
    CUI String
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/AMBIGLUI'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRHIER` (
    CUI String,
    AUI String,
    CXN Integer,
    PAUI String,
    SAB String,
    RELA String,
    PTR String,
    HCD String,
    CVF Integer
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRHIER'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRCUI` (
    CUI1 String,
    VER String,
    REL String,
    RELA String,
    MAPREASON String,
    CUI2 String,
    MAPIN String
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRCUI'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRMAP` (
    MAPSETCUI String,
    MAPSETSAB String,
    MAPSUBSETID String,
    MAPRANK Integer,
    MAPID String,
    MAPSID String,
    FROMID String,
    FROMSID String,
    FROMEXPR String,
    FROMTYPE String,
    FROMRULE String,
    FROMRES String,
    REL String,
    RELA String,
    TOID String,
    TOSID String,
    TOEXPR String,
    TOTYPE String,
    TORULE String,
    TORES String,
    MAPRULE String,
    MAPRES String,
    MAPTYPE String,
    MAPATN String,
    MAPATV String,
    CVF Integer
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRMAP'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__MRDEF` (
    CUI String,
    AUI String,
    ATUI String,
    SATUI String,
    SAB String,
    DEF String,
    SUPPRESS String,
    CVF Integer
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/MRDEF'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE EXTERNAL TABLE IF NOT EXISTS `umls`.`umls__AMBIGSUI` (
    SUI String,
    CUI String
)
STORED AS PARQUET
LOCATION 's3://bucket/db_path/umls/AMBIGSUI'
tblproperties ("parquet.compression"="SNAPPY");

-- ###########################################################

CREATE TABLE umls__mrrel_is_a AS
SELECT * FROM umls.mrrel
WHERE (REL = 'CHD' 
OR RELA IN ('isa','tradename_of','has_tradename','has_basis_of_strength_substance'))
AND REL NOT IN ('RB', 'PAR')

-- ###########################################################

CREATE TABLE umls__mrconso_drugs AS
SELECT * FROM umls.mrconso
WHERE SAB IN ('ATC','CVX','DRUGBANK','GS','MED-RT','MMSL','MMX','MTHCMSFRF','MTHSPL',
    'NDDF','RXNORM','SNOMEDCT_US','USP','VANDF')
